---
title: VisualViewport.pageTop
slug: Web/API/VisualViewport/pageTop
tags:
  - API
  - Property
  - Reference
  - Visual Viewport API
  - VisualViewport
  - pageLeft
  - viewport
---
<p>{{SeeCompatTable}}{{APIRef("Visual Viewport")}}</p>

<p>The <strong><code>pageTop</code></strong> read-only property of the {{domxref("VisualViewport")}} interface returns the y coordinate of the top edge of the visual viewport relative to the initial containing block origin, in CSS pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pageTop</em> = VisualViewport.pageTop</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#dom-visualviewport-pagetop','pageTop')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.pageTop")}}</p>
